Package com.databricks.jdbc.model.client.thrift.generated

## Enum TTypeEntry._Fields

- java.lang.Object
- - java.lang.Enum<TTypeEntry._Fields>
  - - com.databricks.jdbc.model.client.thrift.generated.TTypeEntry._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TTypeEntry._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TTypeEntry

    public static enum TTypeEntry._Fields
    extends Enum<TTypeEntry._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`ARRAY_ENTRY`
`MAP_ENTRY`
`PRIMITIVE_ENTRY`
`STRUCT_ENTRY`
`UNION_ENTRY`
`USER_DEFINED_TYPE_ENTRY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TTypeEntry._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TTypeEntry._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TTypeEntry._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TTypeEntry._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TTypeEntry._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRIMITIVE_ENTRY

    public static final TTypeEntry._Fields PRIMITIVE_ENTRY

#### ARRAY_ENTRY

    public static final TTypeEntry._Fields ARRAY_ENTRY

#### MAP_ENTRY

    public static final TTypeEntry._Fields MAP_ENTRY

#### STRUCT_ENTRY

    public static final TTypeEntry._Fields STRUCT_ENTRY

#### UNION_ENTRY

    public static final TTypeEntry._Fields UNION_ENTRY

#### USER_DEFINED_TYPE_ENTRY

    public static final TTypeEntry._Fields USER_DEFINED_TYPE_ENTRY

### Method Detail

#### values

    public static TTypeEntry._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TTypeEntry._Fields c : TTypeEntry._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TTypeEntry._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TTypeEntry._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TTypeEntry._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TTypeEntry._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`